{ pkgs ? import <nixpkgs> { } }:
let

  myPython = pkgs.python3.withPackages
    (python-packages: with python-packages; [ paho-mqtt ]);

  startServer = pkgs.writers.writeBashBin "start-server" ''
    ${myPython}/bin/python ./heater.py
  '';

  reformat = pkgs.writers.writeBashBin "reformat" ''
    ${pkgs.black}/bin/black --exclude venv ${toString ./.}
  '';

in
pkgs.mkShell {

  buildInputs = with pkgs; [ myPython startServer reformat ];

}
