{ pkgs, lib, ... }: {
  desktopFile = bin:
    { comment ? "No Comment"
    , longName ? "Script"
    , command ? "${bin}/bin/${bin.name}"
    , ...
    }:
    pkgs.writeTextFile {
      name = "${bin.name}.desktop";
      destination = "/share/applications/${bin.name}.desktop";
      text = ''
        [Desktop Entry]
        Type=Application
        Exec=${command} %U
        Comment=${comment}
        Terminal=false
        Name=${bin.name}
        GenericName=${longName}
        StartupWMClass=${bin.name}
      '';
    };

  jenkins = import ./jenkins.nix { inherit lib; };

}
