{ config, pkgs, lib, ... }: {

  imports = [

    ../../system/server
    ./hardware-configuration.nix

    ./mail-fetcher.nix
    ./packages.nix
    ./hass.nix
    #./home-assistant.nix
    #./kodi.nix
    ./syncthing.nix
    ./tinc.nix
    #./wifi-access-point.nix
    #./lan.nix
    #./dms.nix
    ./borg.nix
    #./mpd.nix
    ./grocy.nix
    ./taskwarrior-pushover.nix
    #./neo4j.nix

  ];

  sops.defaultSopsFile = ../../secrets/pepe.yaml;


  networking.hostName = "pepe";

  # fonts
  # -----
  programs.custom.urxvt.fontSize = 12;
  programs.custom.xterm.fontSize = 12;
  system.custom.fonts.dpi = 100;

  # networking
  # ----------
  #system.custom.wifi = {
  #enable = false;
  #interfaces = [ "wlp3s0" ];
  #configurationFile = <secrets/wpa_supplicant>;
  #};

  configuration.init-ssh = {
    enable = "enabled";
    kernelModules = [ "e1000e" ];
  };

  # just enable lan
  networking.dhcpcd.allowInterfaces = [ "enp0s25" ];

  # nix-shell -p speedtest_cli --run speedtest
  configuration.fireqos = {
    enable = false;
    interface = "enp0s25";
    input = 200000;
    output = 2000;
    balance = false;
  };

  services.printing.enable = false;
  services.smartd.enable = true;



  # todo move to some place else
  home-manager.users.mailUser.home.stateVersion = "22.11";

}

