{ lib, config, pkgs, ... }: {
  imports = [

    ../../system/all/borg-jobs.nix
    ../../system/all/defaults.nix
    ../../system/all/syncthing.nix
    ../../system/server/netdata.nix
    ../../system/server/packages.nix

    ../../components/network/sshd
    ../../components/network/tinc

    ../../modules

    ./hetzner.nix

    ./borg.nix
    ./codimd.nix
    ./gitea.nix
    ./grocy.nix
    ./nextcloud.nix
    ./packages.nix
    ./syncthing.nix
    ./taskserver.nix
    ./tinc.nix
    ./transmission.nix
    ./transmission2.nix
    ./vaultwarden.nix
    ./nginx.nix


    #../../system/server

    #./hardware-configuration.nix
    #./mail-fetcher.nix
    #./finance.nix
    #./grafana.nix
    #./graylog.nix
    #./kibana.nix
    #./mysql.nix
    #./prometheus.nix
    #./weechat.nix
    #./property.nix # flask sucks, find something else

  ];

  # 2 hours = 2 * 60 * 60 = 7200 seconds
  #services.netdata.config.global.history = 7200;
  # 4 hours = 4 * 60 * 60 = 14440 seconds
  services.netdata.config.global.history = 14440;
  # 24 hours = 24 * 60 * 60 = 86400 seconds
  #services.netdata.config.global.history = 86400;

  services.sshguard.enable = true;

  # Shell configuration
  # -------------------
  programs.custom = {
    bash.enable = true;
    zsh.enable = true;
  };

  security.acme.acceptTerms = true;
  security.acme.defaults.email = "contact@ingolf-wagner.de";

  sops.defaultSopsFile = ../../secrets/robi.yaml;
  virtualisation.docker.enable = false;
  services.printing.enable = false;
  services.smartd.enable = true;


  fileSystems."/var/lib/nextcloud" =
    {
      device = "/dev/vg/nextcloud";
      fsType = "ext4";
    };

  fileSystems."/var/lib/borgbackup" =
    {
      device = "/dev/vg/borg";
      fsType = "ext4";
    };

  fileSystems."/media" =
    {
      device = "/dev/vg/media";
      fsType = "ext4";
    };


}
