{ config, pkgs, lib, ... }:

# how to setup a relay
# * ssh on the maching
# * sudo -u weechat screen -r
# /set relay.network.password "mypassword"
# /relay add weechat 10000

{

  # configure weechat
  services.weechat = { enable = true; };

  # configure bitlbee
  services.bitlbee = {
    enable = true;
    libpurple_plugins = [
      #pkgs.pidgin-otr
      #pkgs.purple-facebook
      #pkgs.purple-discord
      #pkgs.purple-matrix
      #pkgs.purple-hangouts
      #pkgs.pidgin-latex
      #pkgs.pidgin-opensteamworks
      #pkgs.pidgin-skypeweb
      pkgs.telegram-purple
      #pkgs.purple-lurch
    ];
    plugins =
      [ pkgs.bitlbee-facebook pkgs.bitlbee-steam pkgs.bitlbee-mastodon ];
  };

  # otherwise xterm is the only thing that works
  environment.systemPackages = [ pkgs.rxvt_unicode ];

  backup.dirs = [ config.services.weechat.root ];

}
