{ config, lib, pkgs, ... }: {

  # overlay included
  #nixpkgs.overlays = [ (import <mozilla-overlay/rust-overlay.nix>) ];

  programs.custom.browser.enable = false;

  environment.systemPackages = with pkgs; [
    spotify
    sweethome3d.application
    nextcloud-client
    gimp
    inkscape
    darktable
    keepassxc
    firefox
    google-chrome
    skypeforlinux
    tipp10
    zoom-us
    gnome3.gnome-todo
    gnome3.gnome-control-center
    pdfarranger

    ((ganttproject-bin.override {
      jre = pkgs.openjdk11;
    }).overrideAttrs (old: {
      version = "3.1.3100";
      src = pkgs.fetchzip {
        url = "https://dl.ganttproject.biz/ganttproject-3.1.3100/ganttproject-3.1.3100.zip";
        sha256 = "sha256-hw2paak0P670/kemiuqYHIaN0uUtkVKy+AX2X7OdnJ4=";
      };
    }))

    # graphic
    #krita
    gthumb
    digikam
    shotwell
    #synfigstudio
    valentina

    # kde programs
    okular
    ark
    gwenview
    skanlite

    unstable.tor-browser-bundle-bin
    #(tor-browser-bundle-bin.overrideAttrs (old: rec {
    #  version = "11.0.1";
    #  name = "tor-browser-bundle-${version}";
    #  src = pkgs.fetchurl {
    #    url = "https://dist.torproject.org/torbrowser/11.0.1/tor-browser-linux64-11.0.1_en-US.tar.xz";
    #    sha256 = "sha256-E6GCjMiSs4sPUDNIJhHJ/zB0aj3xe/DzWcUpxNZHpbM=";
    #  };
    #}))

  ];

}
