{ config, pkgs, lib, ... }:

with lib;

let

  cfg = config.programs.custom.elm;

in
{

  options.programs.custom.elm.enable = mkEnableOption "enable elm stack";

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      elmPackages.elm
      elmPackages.elm-compiler
      elmPackages.elm-format
      elmPackages.elm-make
      elmPackages.elm-reactor
      elm-github-install
    ];
  };
}

