{ lib, config, pkgs, ... }: {

  imports = [

    ../../modules
    ../../components/network

    ./defaults.nix

    # needed
    #<home-manager/nixos>

    # cross-compiling
    #<cleverca22/qemu.nix>

    ./grub.nix
    ./networking-qos.nix
    ./nginx-landingpage.nix
    ./nginx.nix
    ./packages.nix
    ./borg-jobs.nix
    ./borg-scripts.nix
    ./syncthing.nix
    ./on-failure.nix

  ];


  # default backup excludes
  backup.exclude = [ ".git" ".stfolder" ".stversions" ];

  # Shell configuration
  # -------------------
  programs.custom = {
    bash.enable = true;
    zsh.enable = true;
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = lib.mkDefault "19.03"; # Did you read the comment?

}
