{ config, lib, pkgs, ... }: {

  services.nginx.virtualHosts."${config.networking.hostName}.private" = {
    default = true;
    locations."/" = {
      root = pkgs.landingpage.override {
        jsonConfig = [
          { title = "System Links"; }
          {
            text = "Syncthings";
            items = map
              ({ name, host ? "${name}.private", ... }: {
                label = name;
                href = "http://${host}:8384/";
                image = "https://media.giphy.com/media/JoyU4vuzwj6ZA7Ging/giphy.gif";
              })
              (map (name: { inherit name; }) (lib.attrNames
                config.module.cluster.services.tinc."private".hosts));
          }
          {
            text = "netdata";
            items = map
              ({ name, host ? "${name}.private", ... }: {
                label = name;
                href = "http://${host}:19999/";
                image = "https://media.giphy.com/media/BkjdN6MQCDPaw/giphy.gif";
              })
              (map (name: { inherit name; }) [
                "robi"
                "pepe"
              ]);
          }
          {
            title = "Various Links";
            items = [
              {
                label = "NeverSSL";
                href = "https://oldslowfreshlight.neverssl.com/";
                image = "https://media.giphy.com/media/fyLi0OuWysotq/giphy.gif";
              }
              {
                label = "Hetzner Cloud";
                href = "https://console.hetzner.cloud/projects";
                image =
                  "https://media.giphy.com/media/NECZ8crkbXR0k/giphy.gif";
              }
              {
                label = "Pass the Popcorn";
                href = "https://passthepopcorn.me/";
                image =
                  "https://media.giphy.com/media/NipFetnQOuKhW/giphy.gif";
              }
              {
                label = "redacted";
                href = "https://redacted.ch/";
                image =
                  "https://media.giphy.com/media/ku5EcFe4PNGWA/giphy.gif";
              }
              {
                label = "Cups";
                href = "http://localhost:631/";
                image =
                  "https://media.giphy.com/media/7hU7x4GPurk2c/giphy.gif";
              }
            ];
          }
          {
            text = "NixOS Links";
            items = [
              {
                label = "NixOS Manual";
                href = "https://nixos.org/nixos/manual/";
                image =
                  "https://media.giphy.com/media/dsdVyKkSqccEzoPufX/giphy.gif";
              }
              {
                label = "Nixpkgs Manual";
                href = "https://nixos.org/nixpkgs/manual/";
                image =
                  "https://media.giphy.com/media/dsdVyKkSqccEzoPufX/giphy.gif";
              }
              {
                label = "NixOS Reference";
                href =
                  "https://storage.googleapis.com/files.tazj.in/nixdoc/manual.html#sec-functions-library";
                image =
                  "https://media.giphy.com/media/LkjlH3rVETgsg/giphy.gif";
              }
              {
                label = "Nix Packages";
                href = "https://nixos.org/nixos/packages.html";
                image =
                  "https://media.giphy.com/media/l2YWlohvjPnsvkdEc/giphy.gif";
              }
              {
                label = "NixOS Language specific helpers";
                href =
                  "https://nixos.wiki/wiki/Language-specific_package_helpers";
                image =
                  "https://media.giphy.com/media/LkjlH3rVETgsg/giphy.gif";
              }
              {
                label = "NixOS Weekly";
                href = "https://weekly.nixos.org/";
                image =
                  "https://media.giphy.com/media/lXiRLb0xFzmreM8k8/giphy.gif";
              }
              {
                label = "NixOS Security";
                href = "https://broken.sh/";
                image =
                  "https://media.giphy.com/media/BqILAHjH1Ttm0/giphy.gif";
              }
              {
                label = "NixOS RFCs";
                href = "https://github.com/NixOS/rfcs/";
                image =
                  "https://media.giphy.com/media/Uq9bGjGKg08M0/giphy.gif";
              }
            ];
          }
          { urlEncode = true; }
        ];
      };
    };
  };
}
