{ config, lib, ... }:
let
  backupFolder = "~/desktop/browser-images";
  homeFolder = "/browsers";
in
{
  programs.custom.browser = {
    enable = lib.mkDefault true;
    configList = {
      development = {
        home = "${homeFolder}/development-browser";
        homeBackup = "${backupFolder}/development-browser";
        gpu = false;
      };
      google = {
        home = "${homeFolder}/google-browser";
        homeBackup = "${backupFolder}/google-browser";
        gpu = true;
      };
      finance = {
        home = "${homeFolder}/finance-browser";
        homeBackup = "${backupFolder}/finance-browser";
        gpu = false;
      };
      facebook = {
        home = "${homeFolder}/facebook-browser";
        homeBackup = "${backupFolder}/facebook-browser";
        gpu = false;
      };
      shopping = {
        home = "${homeFolder}/shopping-browser";
        homeBackup = "${backupFolder}/shopping-browser";
        gpu = false;
      };

      firefox-tmp = {
        browserType = "firefox";
        home = "${homeFolder}/firefox-tmp";
        homeBackup = "${backupFolder}/firefox-tmp-browser";
        gpu = false;
      };
      chromium-tmp = {
        browserType = "chrome";
        home = "${homeFolder}/chromium-tmp";
        homeBackup = "${backupFolder}/chrome-tmp-browser";
        gpu = false;
      };
      google-tmp = {
        browserType = "google";
        home = "${homeFolder}/google-tmp";
        homeBackup = "${backupFolder}google-tmp-browser";
        gpu = false;
      };

    };
  };

}
