{ config, pkgs, lib, ... }: {

  imports = [

    ../all

    #./icecast.nix
    ./audio.nix
    ./browser.nix
    ./cachix.nix
    ./direnv.nix
    ./hoard.nix
    #./dnsmasq.nix
    ./home-manager.nix
    ./mail-stuff.nix
    #./mc.nix
    ./network.nix
    ./packages.nix
    ./pass.nix
    ./remote-install.nix
    ./size.nix
    ./suspend.nix
    ./user.nix
    ./x11.nix
    ./xlock.nix
    ./yubikey.nix
    ./wtf.nix
  ];

  component.network.sshd.onlyTincAccess = lib.mkDefault true;

  system.custom.suspend.enable = lib.mkDefault true;

  backup.dirs = [
    "${config.users.users.mainUser.home}/.config/noti"
    "${config.users.users.mainUser.home}/.password-store"
    "${config.users.users.mainUser.home}/.task"
    "${config.users.users.mainUser.home}/.vit"
  ];

  programs.custom = {

    urxvt = {
      enable = true;
      colorTheme = "light";
    };
    xterm = {
      enable = true;
      colorTheme = "light";
    };

    shellTools.enable = true;
    taskwarrior.enable = true;
    curlScripts.enable = true;
    git.enable = true;
    citate.enable = true;
    vim.enable = true;

  };

  services.urxvtd.enable = true;

  system.custom.bluetooth.enable = true;

  # temperature / power consumption
  # https://linrunner.de/en/tlp/docs/tlp-linux-advanced-power-management.html
  # todo fix this
  #services.tlp.enable = false;
  #services.thermald.enable = false;
  # fucks up usb mouse
  #powerManagement.powertop.enable = true;

  # overwrite use zram on small RAM systems
  fileSystems."/share" = lib.mkDefault {
    device = "tmpfs";
    fsType = "tmpfs";
  };

  # overwrite use zram on small RAM systems
  fileSystems."/browsers" = lib.mkDefault {
    device = "tmpfs";
    fsType = "tmpfs";
  };

}

