{ pkgs, lib, ... }:
with lib; {

  home-manager.users.mainUser = {
    programs.ssh.enable = true;
    programs.ssh.matchBlocks = {
      "*" = {
        identityFile = "~/.ssh/palo_rsa.pub";
        identitiesOnly = true;
      };
      "lassul.us" = {
        user = "download";
        port = 45621;
      };
      "*.r" = {
        user = "root";
      };
      "*.secret" = {
        user = "root";
      };
      "*.private" = {
        user = "root";
      };
      "*.lan" = {
        user = "root";
      };
      "github.com" = {
        hostname = "ssh.github.com";
        user = "root";
      };
      "es5.siteground.eu" = {
        user = "ingolfwa";
        port = 18765;
      };
      "*.onion" = {
        user = "root";
      };
      #"*.compute.amazonaws.com".extraOptions = {
      #  ProxyCommand = ''
      #    sh -c "${pkgs.awscli2}/bin/aws ssm start-session --target %h --document-name AWS-StartSSHSession --parameters 'portNumber=%p'"
      #  '';
      #};
    };
  };
}
